# A simple flow-based visual scripting runtime environment for Python

Ey, what's up! Please visit the [website](https://ryven.org)

### Basic Requirements

- Python 3 (3.8+ recommended)
- PySide2 (2.14+ recommended)

### Installation

- please use the lastest release
- a complete requirements file is in the root folder
- If you experiment a lot, you maybe should set up a virtual env, like this (Windows example):
```
<open cmd>
cd <to your Ryven folder (the outer one)>
python -m venv venv
venv/Scripts/activate
pip install -r requirements.txt
```

### Ideas and TODOs
- advanced source code editor widget, with syntax highlighting and autocomplete for Ryven, the NodeManager and an intuitive *code* node (where one can just program the node inside the editor by writing the code into the widget)
- visual content: logos and splash screen
- a visually appealing Jupyter integration (the native Jupyter QtConsole I didn't like in terms of appearence and functionality)

![](/docs/images/ryven_screenshot2.png)

![](/docs/images/ui.png)

![](/docs/images/ryven1.png)

![](/docs/images/matrices1.png)

![](/docs/images/checkpoints.png)

![](/docs/images/matplotlib.jpeg)

![](/docs/images/opencv_1.png)

![](/docs/images/matrices2.png)

![](/docs/images/extract_property_1.png)

![](/docs/images/random.png)
